#ifndef FLE_HELPBOOK_H_
#define FLE_HELPBOOK_H_

#include <fltk/Fl.h>
#include <fltk/Fl_Window.h>
#include <fltk/Fl_Menu_Bar.h>
#include <fltk/Fl_Item_Group.h>
#include <fltk/Fl_Item.h>
#include <fltk/Fl_Group.h>
#include <fltk/Fl_Button.h>

#include "FLE_FileDialog.h"
#include "FLE_SimpleHtml.h"

class FLE_HelpBook : public Fl_Window
{
public:
	FLE_HelpBook(int x, int y, int w, int h, const char *l);
	FLE_HelpBook(int w, int h, const char *l);
	virtual ~FLE_HelpBook();

	void init();
	void make_group(int w, int h);


	void load_file(const char *f);
	void previous_url();
	void next_url();
	void open_file();

        // Method add/remove from history
        void push_prev(const char *url);
	char *pop_prev();

	void push_next(const char *url);
	char *pop_next();

private:
	FLE_SimpleHtml *htmlWidget;

	static void cb_close(Fl_Widget*, void*);
	static void cb_back(Fl_Button*, void*);
	static void cb_next(Fl_Button*, void*);
	static void cb_open(Fl_Button*, void*);
        static void cb_html_link(Fl_Widget *w, void *d);

	char *prev_hist[10];
	char *next_hist[10];

	Fl_Button *back, *next;

	Fl_Menu_Bar *menubar_;
};

#endif
